# Translate text to a target language

Translates the provided text into the specified target language. Supports both plain text and HTML content (set isHtml=true for HTML). Requires authentication.

Endpoint: POST /api/v1/translate/text
Version: 1.0
Security: header

## Request fields (application/json):

  - `text` (string, required)

  - `language` (string, required)
    Enum: "BG", "CS", "DA", "DE", "EL", "EN", "ES", "ET", "FI", "FR", "HU", "ID", "IT", "JA", "KO", "LT", "LV", "NB", "NL", "PL", "PT", "RO", "RU", "SK", "SL", "SV", "TR", "UK", "ZH"

  - `isHtml` (boolean)

## Response 200 fields (application/json):

  - `text` (string, required)

## Response 401 fields (application/json):

  - `errorCode` (string, required)
    Error code

  - `message` (string, required)
    Error message

  - `docUrl` (string)
    Link to documentation


## Response 400 fields
